Package org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption

## Class PublicKey

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.homomorphicEncryption.PublicKey

All Implemented Interfaces:
  `Serializable`

    public class PublicKey
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PublicKey​(byte[] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getData()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublicKey

    public PublicKey​(byte[] data)

### Method Detail

#### getData

    public byte[] getData()